Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 886055 - ami-c8c3cebc 6.4 i386 eu-west-1
Summary: ami-c8c3cebc 6.4 i386 eu-west-1
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Cloud Image Validation
Classification: Red Hat
Component: images
Version: RHEL6.4
Hardware: i386
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mkovacik
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 12:26 UTC by mkovacik
Modified: 2012-12-12 12:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 12:22:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description mkovacik 2012-12-11 12:26:32 UTC

Comment 1 mkovacik 2012-12-11 12:32:25 UTC
IMAGE ID= 
=====image_validation.sh Tue Dec 11 07:28:45 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-176-34-173-236.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-2fddfb64 , Instance Type : c1.medium and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : QF8MV5weCRGDKjhWKlGwJHy7bJLoLlkAvOq2QPO8BXGKqTos0kCz3kMFgIBuhOBG74WgH0rgeRq4
46OCps46R1WsAcz1/pt/x54Nqd+2x/R3tEW5EQUBqN+V2la/T8lSi7yXhvdyoMuKrS5OkRnCrhkb
8TSe5sxDoYbBMwPeIJg=
/root/valid/src
ip-10-246-107-241
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: e1886162554c18906df2ecd258aa4794 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: d4d43637708e30418c30003e212f76fc 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert presence
######################################################################################
COMMAND:  test -f /etc/pki/entitlement/product/content-rhel6-beta.crt
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert expiration date is after 2010/11/10 + 10 years
######################################################################################
COMMAND:  test 1606761257 -ge 1604984400
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvde1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5905712
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-176-34-173-236.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-2fddfb64 , Instance Type : c1.medium and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : QF8MV5weCRGDKjhWKlGwJHy7bJLoLlkAvOq2QPO8BXGKqTos0kCz3kMFgIBuhOBG74WgH0rgeRq4
46OCps46R1WsAcz1/pt/x54Nqd+2x/R3tEW5EQUBqN+V2la/T8lSi7yXhvdyoMuKrS5OkRnCrhkb
8TSe5sxDoYbBMwPeIJg=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0: 
EXPECTED RESULT: root:x:0:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:bin,daemon 
EXPECTED RESULT: daemon:x:2:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:bin,daemon 
EXPECTED RESULT: bin:x:1:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1752592 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_64 /tmp/rpmqa
RETURN CODE: 0
mcelog
COUNT = 1
COMMAND:  cat /tmp/package_diff | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/redhat-rhui-client-config.repo
RESULT: /etc/yum.repos.d/redhat-rhui-client-config.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat-rhui.repo
RESULT: /etc/yum.repos.d/redhat-rhui.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhui-load-balancers.conf
RESULT: /etc/yum.repos.d/rhui-load-balancers.conf 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvde1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-246-107-241
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin is disabled
######################################################################################
COMMAND:  yum repolist | grep -i subscription-manager ; echo $?
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin can be enabled
######################################################################################
COMMAND:  yum --enableplugin=subscription-manager repolist | grep -q 'Loaded plugins:.*subscription-manager'
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check system isn't subscribbed
######################################################################################
COMMAND:  subscription-manager list | grep -q '^Status:\s*Not.Subscribed'
stty: standard input: Invalid argument
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
parted -l | grep linux-swap | awk '{print $4}' | awk -F'MB' '{print $1}'
swap size = 940
COMMAND:  test 940 -gt 0
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
COMMAND:  /sbin/swapoff /dev/xvde3 && /sbin/swapon /dev/xvde3
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5

Comment 2 mkovacik 2012-12-11 12:32:29 UTC
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 8b91b32300134e98ef4aee632ed61e21 
EXPECTED RESULT: 8b91b32300134e98ef4aee632ed61e21
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-343.el6.i686
Detected uname kernel version: 2.6.32-343.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-343.el6.i686
RESULT: title RHEL6.4-20121126.0-Server-i386-starter-ec2 (2.6.32-343.el6.i686)
        kernel /boot/vmlinuz-2.6.32-343.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-343.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
.M.......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 5 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
5
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.4 
EXPECTED RESULT: 6.4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
repo id                                           repo name               status
rhui-eu-west-1-client-config-server-6             Red Hat Update Infrastr     1
rhui-eu-west-1-client-config-server-6-beta        Red Hat Update Infrastr     0
rhui-eu-west-1-rhel-server-releases               Red Hat Enterprise Linu 6,707
rhui-eu-west-1-rhel-server-releases-beta          Red Hat Enterprise Linu   830
rhui-eu-west-1-rhel-server-releases-optional      Red Hat Enterprise Linu 4,029
rhui-eu-west-1-rhel-server-releases-optional-beta Red Hat Enterprise Linu   295
repolist: 11,862 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
=============================== N/S Matched: zsh ===============================
python-twisted-core-zsh.i686 : Tab completion for Zsh and Twisted Core
zsh-html.i686 : Zsh shell manual in html format
zsh.i686 : A powerful interactive shell

  Name and summary matches only, use "search all" for everything. 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Installed Groups:
   Additional Development
   Base
   Console internet tools
   Debugging Tools
   Directory Client
   E-mail server
   Fonts
   Graphical Administration Tools
   Hardware monitoring utilities
   Java Platform
   Large Systems Performance
   Legacy UNIX compatibility
   NFS file server
   Network file system client
   Networking Tools
   Performance Tools
   Perl Support
   Scientific support
   Server Platform
Installed Language Groups:
   Arabic Support [ar]
   Armenian Support [hy]
   Georgian Support [ka]
   Hebrew Support [he]
   Inuktitut Support [iu]
   Japanese Support [ja]
   Korean Support [ko]
   Lao Support [lo]
   Tajik Support [tg]
Available Groups:
   Backup Client
   Backup Server
   CIFS file server
   Client management tools
   Compatibility libraries
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform
   Desktop Platform Development
   Development tools
   Dial-up Networking Support
   Directory Server
   Eclipse
   Emacs
   FCoE Storage Client
   FTP server
   General Purpose Desktop
   Graphics Creation Tools
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Applications
   Internet Browser
   KDE Desktop
   Legacy X Window System compatibility
   Mainframe Access
   Messaging Client Support
   MySQL Database client
   MySQL Database server
   Network Infrastructure Server
   Network Storage Server
   Office Suite and Productivity
   PHP Support
   PostgreSQL Database client
   PostgreSQL Database server
   Print Server
   Printing client
   Remote Desktop Clients
   Ruby Support
   SNMP Support
   Security Tools
   Server Platform Development
   Smart card support
   Somali Support
   Storage Availability Tools
   System Management
   System administration tools
   Systems Management Messaging Server support
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization
   Virtualization Client
   Virtualization Platform
   Virtualization Tools
   Web Server
   Web Servlet Engine
   Web-Based Enterprise Management
   X Window System
   iSCSI Storage Client
Available Language Groups:
   Afrikaans Support [af]
   Albanian Support [sq]
   Amazigh Support [ber]
   Assamese Support [as]
   Azerbaijani Support [az]
   Basque Support [eu]
   Belarusian Support [be]
   Bengali Support [bn]
   Bhutanese Support [dz]
   Brazilian Portuguese Support [pt_BR]
   Breton Support [br]
   Bulgarian Support [bg]
   Catalan Support [ca]
   Chhattisgarhi Support [hne]
   Chichewa Support [ny]
   Chinese Support [zh]
   Coptic Support [cop]
   Croatian Support [hr]
   Czech Support [cs]
   Danish Support [da]
   Dutch Support [nl]
   English (UK) Support [en_GB]
   Esperanto Support [eo]
   Estonian Support [et]
   Ethiopic Support [am]
   Faroese Support [fo]
   Fijian Support [fj]
   Filipino Support [fil]
   Finnish Support [fi]
   French Support [fr]
   Frisian Support [fy]
   Friulian Support [fur]
   Gaelic Support [gd]
   Galician Support [gl]
   German Support [de]
   Greek Support [el]
   Gujarati Support [gu]
   Hiligaynon Support [hil]
   Hindi Support [hi]
   Hungarian Support [hu]
   Icelandic Support [is]
   Indonesian Support [id]
   Interlingua Support [ia]
   Irish Support [ga]
   Italian Support [it]
   Kannada Support [kn]
   Kashmiri Support [ks]
   Kashubian Support [csb]
   Kazakh Support [kk]
   Khmer Support [km]
   Kinyarwanda Support [rw]
   Konkani Support [kok]
   Kurdish Support [ku]
   Latin Support [la]
   Latvian Support [lv]
   Lithuanian Support [lt]
   Low Saxon Support [nds]
   Luxembourgish Support [lb]
   Macedonian Support [mk]
   Maithili Support [mai]
   Malagasy Support [mg]
   Malay Support [ms]
   Malayalam Support [ml]
   Maltese Support [mt]
   Manx Support [gv]
   Maori Support [mi]
   Marathi Support [mr]
   Mongolian Support [mn]
   Myanmar (Burmese) Support [my]
   Nepali Support [ne]
   Northern Sotho Support [nso]
   Norwegian Support [nb]
   Occitan Support [oc]
   Oriya Support [or]
   Persian Support [fa]
   Polish Support [pl]
   Portuguese Support [pt]
   Punjabi Support [pa]
   Romanian Support [ro]
   Russian Support [ru]
   Sanskrit Support [sa]
   Sardinian Support [sc]
   Serbian Support [sr]
   Sindhi Support [sd]
   Sinhala Support [si]
   Slovak Support [sk]
   Slovenian Support [sl]
   Southern Ndebele Support [nr]
   Southern Sotho Support [st]
   Spanish Support [es]
   Swahili Support [sw]
   Swati Support [ss]
   Swedish Support [sv]
   Tagalog Support [tl]
   Tamil Support [ta]
   Telugu Support [te]
   Tetum Support [tet]
   Thai Support [th]
   Tibetan Support [bo]
   Tsonga Support [ts]
   Tswana Support [tn]
   Turkish Support [tr]
   Turkmen Support [tk]
   Ukrainian Support [uk]
   Upper Sorbian Support [hsb]
   Urdu Support [ur]
   Uzbek Support [uz]
   Venda Support [ve]
   Vietnamese Support [vi]
   Walloon Support [wa]
   Welsh Support [cy]
   Xhosa Support [xh]
   Zulu Support [zu]
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID f21541eb: NOKEY
Importing GPG key 0xF21541EB:
 Userid : Red Hat, Inc. (beta key 2) <security@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Importing GPG key 0x897DA07A:
 Userid : Red Hat, Inc. (Beta Test Software) <rawhide@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Package 1:make-3.81-20.el6.i686 already installed and latest version
Package patch-2.6-6.el6.i686 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.i686 already installed and latest version
Package gettext-0.17-16.el6.i686 already installed and latest version
Package binutils-2.20.51.0.2-5.36.el6.i686 already installed and latest version
Package elfutils-0.152-1.el6.i686 already installed and latest version
Package cvs-1.11.23-15.el6.i686 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
---> Package automake.noarch 0:1.11.1-1.2.el6 will be installed
---> Package bison.i686 0:2.4.1-5.el6 will be installed
---> Package byacc.i686 0:1.9.20070509-7.el6 will be installed
---> Package cscope.i686 0:15.6-6.el6 will be installed
---> Package ctags.i686 0:5.8-2.el6 will be installed
---> Package diffstat.i686 0:1.51-2.el6 will be installed
---> Package doxygen.i686 1:1.6.1-6.el6 will be installed
---> Package flex.i686 0:2.5.35-8.el6 will be installed
---> Package gcc.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: cpp = 4.4.7-3.el6 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-3.el6.i686
---> Package gcc-c++.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libstdc++-devel = 4.4.7-3.el6 for package: gcc-c++-4.4.7-3.el6.i686
--> Processing Dependency: libmpfr.so.1 for package: gcc-c++-4.4.7-3.el6.i686
---> Package gcc-gfortran.i686 0:4.4.7-3.el6 will be installed
---> Package git.i686 0:1.7.1-2.el6_0.1 will be installed
--> Processing Dependency: perl-Git = 1.7.1-2.el6_0.1 for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Git) for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Error) for package: git-1.7.1-2.el6_0.1.i686
---> Package indent.i686 0:2.2.10-7.el6 will be installed
---> Package intltool.noarch 0:0.41.0-1.1.el6 will be installed
--> Processing Dependency: gettext-devel for package: intltool-0.41.0-1.1.el6.noarch
---> Package libtool.i686 0:2.2.6-15.5.el6 will be installed
---> Package patchutils.i686 0:0.3.1-3.1.el6 will be installed
---> Package rcs.i686 0:5.7-37.el6 will be installed
---> Package redhat-rpm-config.noarch 0:9.0.3-42.el6 will be installed
---> Package rpm-build.i686 0:4.8.0-32.el6 will be installed
---> Package subversion.i686 0:1.6.11-7.el6 will be installed
--> Processing Dependency: apr >= 1.3.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libneon.so.27 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libaprutil-1.so.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libapr-1.so.0 for package: subversion-1.6.11-7.el6.i686
---> Package swig.i686 0:1.3.40-6.el6 will be installed
---> Package systemtap.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: systemtap-devel = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Processing Dependency: systemtap-client = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Running transaction check
---> Package apr.i686 0:1.3.9-5.el6_2 will be installed
---> Package apr-util.i686 0:1.3.9-3.el6_0.1 will be installed
---> Package cloog-ppl.i686 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2 for package: cloog-ppl-0.15.7-1.2.el6.i686
--> Processing Dependency: libppl.so.7 for package: cloog-ppl-0.15.7-1.2.el6.i686
---> Package cpp.i686 0:4.4.7-3.el6 will be installed
---> Package gettext-devel.i686 0:0.17-16.el6 will be installed
--> Processing Dependency: gettext-libs = 0.17-16.el6 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgettextpo.so.0 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgcj_bc.so.1 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libasprintf.so.0 for package: gettext-devel-0.17-16.el6.i686
---> Package glibc-devel.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: glibc-headers = 2.12-1.106.el6 for package: glibc-devel-2.12-1.106.el6.i686
--> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.106.el6.i686
---> Package libstdc++-devel.i686 0:4.4.7-3.el6 will be installed
---> Package mpfr.i686 0:2.4.1-6.el6 will be installed
---> Package neon.i686 0:0.29.3-2.el6 will be installed
--> Processing Dependency: libpakchois.so.0 for package: neon-0.29.3-2.el6.i686
---> Package perl-Error.noarch 1:0.17015-4.el6 will be installed
---> Package perl-Git.noarch 0:1.7.1-2.el6_0.1 will be installed
---> Package systemtap-client.i686 0:1.8-5.el6 will be installed
---> Package systemtap-devel.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: kernel-devel for package: systemtap-devel-1.8-5.el6.i686
--> Running transaction check
---> Package gettext-libs.i686 0:0.17-16.el6 will be installed
---> Package glibc-headers.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.106.el6.i686
--> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.106.el6.i686
---> Package kernel-devel.i686 0:2.6.32-343.el6 will be installed
---> Package libgcj.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libart_lgpl >= 2.1.0 for package: libgcj-4.4.7-3.el6.i686
---> Package pakchois.i686 0:0.4-3.2.el6 will be installed
---> Package ppl.i686 0:0.10.2-11.el6 will be installed
--> Running transaction check
---> Package kernel-headers.i686 0:2.6.32-343.el6 will be installed
---> Package libart_lgpl.i686 0:2.3.20-5.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package   Arch   Version        Repository                                Size
================================================================================
Installing:
 autoconf  noarch 2.63-5.1.el6   rhui-eu-west-1-rhel-server-releases      781 k
 automake  noarch 1.11.1-1.2.el6 rhui-eu-west-1-rhel-server-releases      550 k
 bison     i686   2.4.1-5.el6    rhui-eu-west-1-rhel-server-releases      626 k
 byacc     i686   1.9.20070509-7.el6
                                 rhui-eu-west-1-rhel-server-releases       44 k
 cscope    i686   15.6-6.el6     rhui-eu-west-1-rhel-server-releases      130 k

Comment 3 mkovacik 2012-12-11 12:32:34 UTC
 ctags     i686   5.8-2.el6      rhui-eu-west-1-rhel-server-releases      142 k
 diffstat  i686   1.51-2.el6     rhui-eu-west-1-rhel-server-releases       29 k
 doxygen   i686   1:1.6.1-6.el6  rhui-eu-west-1-rhel-server-releases      2.3 M
 flex      i686   2.5.35-8.el6   rhui-eu-west-1-rhel-server-releases      279 k
 gcc       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 8.2 M
 gcc-c++   i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.3 M
 gcc-gfortran
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.1 M
 git       i686   1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases      4.5 M
 indent    i686   2.2.10-7.el6   rhui-eu-west-1-rhel-server-releases      112 k
 intltool  noarch 0.41.0-1.1.el6 rhui-eu-west-1-rhel-server-releases       58 k
 libtool   i686   2.2.6-15.5.el6 rhui-eu-west-1-rhel-server-releases      564 k
 patchutils
           i686   0.3.1-3.1.el6  rhui-eu-west-1-rhel-server-releases       94 k
 rcs       i686   5.7-37.el6     rhui-eu-west-1-rhel-server-releases      169 k
 redhat-rpm-config
           noarch 9.0.3-42.el6   rhui-eu-west-1-rhel-server-releases-beta  59 k
 rpm-build i686   4.8.0-32.el6   rhui-eu-west-1-rhel-server-releases-beta 127 k
 subversion
           i686   1.6.11-7.el6   rhui-eu-west-1-rhel-server-releases      2.2 M
 swig      i686   1.3.40-6.el6   rhui-eu-west-1-rhel-server-releases      1.1 M
 systemtap i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta  26 k
Installing for dependencies:
 apr       i686   1.3.9-5.el6_2  rhui-eu-west-1-rhel-server-releases      129 k
 apr-util  i686   1.3.9-3.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       89 k
 cloog-ppl i686   0.15.7-1.2.el6 rhui-eu-west-1-rhel-server-releases       93 k
 cpp       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 3.4 M
 gettext-devel
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      153 k
 gettext-libs
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      110 k
 glibc-devel
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 974 k
 glibc-headers
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 612 k
 kernel-devel
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 8.1 M
 kernel-headers
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 2.3 M
 libart_lgpl
           i686   2.3.20-5.1.el6 rhui-eu-west-1-rhel-server-releases       63 k
 libgcj    i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta  17 M
 libstdc++-devel
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 1.6 M
 mpfr      i686   2.4.1-6.el6    rhui-eu-west-1-rhel-server-releases      153 k
 neon      i686   0.29.3-2.el6   rhui-eu-west-1-rhel-server-releases      120 k
 pakchois  i686   0.4-3.2.el6    rhui-eu-west-1-rhel-server-releases       21 k
 perl-Error
           noarch 1:0.17015-4.el6
                                 rhui-eu-west-1-rhel-server-releases       29 k
 perl-Git  noarch 1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       28 k
 ppl       i686   0.10.2-11.el6  rhui-eu-west-1-rhel-server-releases      1.3 M
 systemtap-client
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 3.2 M
 systemtap-devel
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 1.2 M

Transaction Summary
================================================================================
Install      44 Package(s)

Total download size: 71 M
Installed size: 201 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           6.3 MB/s |  71 MB     00:11     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing : mpfr-2.4.1-6.el6.i686                                       1/44 

  Installing : 1:perl-Error-0.17015-4.el6.noarch                           2/44 

  Installing : autoconf-2.63-5.1.el6.noarch                                3/44 

  Installing : automake-1.11.1-1.2.el6.noarch                              4/44 

  Installing : git-1.7.1-2.el6_0.1.i686                                    5/44 

  Installing : perl-Git-1.7.1-2.el6_0.1.noarch                             6/44 

  Installing : kernel-headers-2.6.32-343.el6.i686                          7/44 

  Installing : glibc-headers-2.12-1.106.el6.i686                           8/44 

  Installing : glibc-devel-2.12-1.106.el6.i686                             9/44 

  Installing : kernel-devel-2.6.32-343.el6.i686                           10/44 

  Installing : libstdc++-devel-4.4.7-3.el6.i686                           11/44 

  Installing : apr-1.3.9-5.el6_2.i686                                     12/44 

  Installing : apr-util-1.3.9-3.el6_0.1.i686                              13/44 

  Installing : cpp-4.4.7-3.el6.i686                                       14/44 

  Installing : ppl-0.10.2-11.el6.i686                                     15/44 

  Installing : cloog-ppl-0.15.7-1.2.el6.i686                              16/44 

  Installing : gcc-4.4.7-3.el6.i686                                       17/44 

  Installing : systemtap-devel-1.8-5.el6.i686                             18/44 

  Installing : pakchois-0.4-3.2.el6.i686                                  19/44 

  Installing : neon-0.29.3-2.el6.i686                                     20/44 

  Installing : systemtap-client-1.8-5.el6.i686                            21/44 

  Installing : libart_lgpl-2.3.20-5.1.el6.i686                            22/44 

  Installing : libgcj-4.4.7-3.el6.i686                                    23/44 

  Installing : gettext-libs-0.17-16.el6.i686                              24/44 

  Installing : systemtap-1.8-5.el6.i686                                   25/44 

  Installing : libtool-2.2.6-15.5.el6.i686                                26/44 

  Installing : redhat-rpm-config-9.0.3-42.el6.noarch                      27/44 

  Installing : gettext-devel-0.17-16.el6.i686                             28/44 

  Installing : intltool-0.41.0-1.1.el6.noarch                             29/44 

  Installing : subversion-1.6.11-7.el6.i686                               30/44 

  Installing : gcc-gfortran-4.4.7-3.el6.i686                              31/44 

  Installing : gcc-c++-4.4.7-3.el6.i686                                   32/44 

  Installing : rpm-build-4.8.0-32.el6.i686                                33/44 

  Installing : rcs-5.7-37.el6.i686                                        34/44 

  Installing : cscope-15.6-6.el6.i686                                     35/44 

  Installing : patchutils-0.3.1-3.1.el6.i686                              36/44 

  Installing : indent-2.2.10-7.el6.i686                                   37/44 

  Installing : bison-2.4.1-5.el6.i686                                     38/44 

  Installing : ctags-5.8-2.el6.i686                                       39/44 

  Installing : swig-1.3.40-6.el6.i686                                     40/44 

  Installing : 1:doxygen-1.6.1-6.el6.i686                                 41/44 

  Installing : diffstat-1.51-2.el6.i686                                   42/44 

  Installing : byacc-1.9.20070509-7.el6.i686                              43/44 

  Installing : flex-2.5.35-8.el6.i686                                     44/44 

  Verifying  : apr-util-1.3.9-3.el6_0.1.i686                               1/44 

  Verifying  : glibc-headers-2.12-1.106.el6.i686                           2/44 

  Verifying  : flex-2.5.35-8.el6.i686                                      3/44 

  Verifying  : byacc-1.9.20070509-7.el6.i686                               4/44 

  Verifying  : mpfr-2.4.1-6.el6.i686                                       5/44 

  Verifying  : diffstat-1.51-2.el6.i686                                    6/44 

  Verifying  : 1:doxygen-1.6.1-6.el6.i686                                  7/44 

  Verifying  : swig-1.3.40-6.el6.i686                                      8/44 

  Verifying  : subversion-1.6.11-7.el6.i686                                9/44 

  Verifying  : gcc-gfortran-4.4.7-3.el6.i686                              10/44 

  Verifying  : perl-Git-1.7.1-2.el6_0.1.noarch                            11/44 

  Verifying  : gettext-devel-0.17-16.el6.i686                             12/44 

  Verifying  : gettext-libs-0.17-16.el6.i686                              13/44 

  Verifying  : ctags-5.8-2.el6.i686                                       14/44 

  Verifying  : redhat-rpm-config-9.0.3-42.el6.noarch                      15/44 

  Verifying  : autoconf-2.63-5.1.el6.noarch                               16/44 

  Verifying  : gcc-4.4.7-3.el6.i686                                       17/44 

  Verifying  : libart_lgpl-2.3.20-5.1.el6.i686                            18/44 

  Verifying  : libstdc++-devel-4.4.7-3.el6.i686                           19/44 

  Verifying  : systemtap-client-1.8-5.el6.i686                            20/44 

  Verifying  : libgcj-4.4.7-3.el6.i686                                    21/44 

  Verifying  : kernel-devel-2.6.32-343.el6.i686                           22/44 

  Verifying  : 1:perl-Error-0.17015-4.el6.noarch                          23/44 

  Verifying  : bison-2.4.1-5.el6.i686                                     24/44 

  Verifying  : indent-2.2.10-7.el6.i686                                   25/44 

  Verifying  : cpp-4.4.7-3.el6.i686                                       26/44 

  Verifying  : patchutils-0.3.1-3.1.el6.i686                              27/44 

  Verifying  : git-1.7.1-2.el6_0.1.i686                                   28/44 

  Verifying  : pakchois-0.4-3.2.el6.i686                                  29/44 

  Verifying  : gcc-c++-4.4.7-3.el6.i686                                   30/44 

  Verifying  : automake-1.11.1-1.2.el6.noarch                             31/44 

  Verifying  : neon-0.29.3-2.el6.i686                                     32/44 

  Verifying  : kernel-headers-2.6.32-343.el6.i686                         33/44 

  Verifying  : apr-1.3.9-5.el6_2.i686                                     34/44 

  Verifying  : cloog-ppl-0.15.7-1.2.el6.i686                              35/44 

  Verifying  : systemtap-devel-1.8-5.el6.i686                             36/44 

  Verifying  : libtool-2.2.6-15.5.el6.i686                                37/44 

  Verifying  : intltool-0.41.0-1.1.el6.noarch                             38/44 

  Verifying  : cscope-15.6-6.el6.i686                                     39/44 

  Verifying  : rcs-5.7-37.el6.i686                                        40/44 

  Verifying  : glibc-devel-2.12-1.106.el6.i686                            41/44 

  Verifying  : systemtap-1.8-5.el6.i686                                   42/44 

  Verifying  : rpm-build-4.8.0-32.el6.i686                                43/44 

  Verifying  : ppl-0.10.2-11.el6.i686                                     44/44 

Installed:
  autoconf.noarch 0:2.63-5.1.el6             automake.noarch 0:1.11.1-1.2.el6   
  bison.i686 0:2.4.1-5.el6                   byacc.i686 0:1.9.20070509-7.el6    
  cscope.i686 0:15.6-6.el6                   ctags.i686 0:5.8-2.el6             
  diffstat.i686 0:1.51-2.el6                 doxygen.i686 1:1.6.1-6.el6         
  flex.i686 0:2.5.35-8.el6                   gcc.i686 0:4.4.7-3.el6             
  gcc-c++.i686 0:4.4.7-3.el6                 gcc-gfortran.i686 0:4.4.7-3.el6    
  git.i686 0:1.7.1-2.el6_0.1                 indent.i686 0:2.2.10-7.el6         
  intltool.noarch 0:0.41.0-1.1.el6           libtool.i686 0:2.2.6-15.5.el6      
  patchutils.i686 0:0.3.1-3.1.el6            rcs.i686 0:5.7-37.el6              
  redhat-rpm-config.noarch 0:9.0.3-42.el6    rpm-build.i686 0:4.8.0-32.el6      
  subversion.i686 0:1.6.11-7.el6             swig.i686 0:1.3.40-6.el6           
  systemtap.i686 0:1.8-5.el6                

Dependency Installed:
  apr.i686 0:1.3.9-5.el6_2              apr-util.i686 0:1.3.9-3.el6_0.1        
  cloog-ppl.i686 0:0.15.7-1.2.el6       cpp.i686 0:4.4.7-3.el6                 
  gettext-devel.i686 0:0.17-16.el6      gettext-libs.i686 0:0.17-16.el6        
  glibc-devel.i686 0:2.12-1.106.el6     glibc-headers.i686 0:2.12-1.106.el6    
  kernel-devel.i686 0:2.6.32-343.el6    kernel-headers.i686 0:2.6.32-343.el6   
  libart_lgpl.i686 0:2.3.20-5.1.el6     libgcj.i686 0:4.4.7-3.el6              
  libstdc++-devel.i686 0:4.4.7-3.el6    mpfr.i686 0:2.4.1-6.el6                
  neon.i686 0:0.29.3-2.el6              pakchois.i686 0:0.4-3.2.el6            
  perl-Error.noarch 1:0.17015-4.el6     perl-Git.noarch 0:1.7.1-2.el6_0.1      
  ppl.i686 0:0.10.2-11.el6              systemtap-client.i686 0:1.8-5.el6      
  systemtap-devel.i686 0:1.8-5.el6     

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cyrus-sasl.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package dmidecode.i686 1:2.11-2.el6 will be updated
---> Package dmidecode.i686 1:2.11-2.el6_1 will be an update
---> Package libxml2.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package mysql-libs.i686 0:5.1.66-1.el6_3 will be updated
---> Package mysql-libs.i686 0:5.1.66-2.el6_3 will be an update
---> Package pango.i686 0:1.28.1-3.el6_0.5 will be updated
---> Package pango.i686 0:1.28.1-7.el6_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch Version           Repository                           Size
================================================================================
Updating:
 cyrus-sasl    i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  77 k
 cyrus-sasl-gssapi
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  33 k
 cyrus-sasl-lib
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases 136 k
 cyrus-sasl-plain
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  31 k
 dmidecode     i686 1:2.11-2.el6_1    rhui-eu-west-1-rhel-server-releases  70 k
 libxml2       i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 800 k
 libxml2-python
               i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 314 k
 mysql-libs    i686 5.1.66-2.el6_3    rhui-eu-west-1-rhel-server-releases 1.2 M
 pango         i686 1.28.1-7.el6_3    rhui-eu-west-1-rhel-server-releases 350 k

Transaction Summary
================================================================================
Upgrade       9 Package(s)

Total download size: 3.0 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.8 MB/s | 3.0 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating   : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       1/18 

  Updating   : libxml2-2.7.6-8.el6_3.4.i686                                2/18 

  Updating   : libxml2-python-2.7.6-8.el6_3.4.i686                         3/18 

  Updating   : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     4/18 

  Updating   : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    5/18 

  Updating   : cyrus-sasl-2.1.23-13.el6_3.1.i686                           6/18 

  Updating   : 1:dmidecode-2.11-2.el6_1.i686                               7/18 

  Updating   : pango-1.28.1-7.el6_3.i686                                   8/18 

  Updating   : mysql-libs-5.1.66-2.el6_3.i686                              9/18 

  Cleanup    : cyrus-sasl-2.1.23-13.el6.i686                              10/18 

  Cleanup    : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       11/18 

  Cleanup    : cyrus-sasl-plain-2.1.23-13.el6.i686                        12/18 

  Cleanup    : libxml2-python-2.7.6-8.el6_3.3.i686                        13/18 

  Cleanup    : libxml2-2.7.6-8.el6_3.3.i686                               14/18 

  Cleanup    : cyrus-sasl-lib-2.1.23-13.el6.i686                          15/18 

  Cleanup    : 1:dmidecode-2.11-2.el6.i686                                16/18 

  Cleanup    : pango-1.28.1-3.el6_0.5.i686                                17/18 

  Cleanup    : mysql-libs-5.1.66-1.el6_3.i686                             18/18 
/var/tmp/rpm-tmp.5f7UUq: line 26: /etc/pango/i386-redhat-linux-gnu/pango.modules: No such file or directory

  Verifying  : libxml2-python-2.7.6-8.el6_3.4.i686                         1/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     2/18 

  Verifying  : libxml2-2.7.6-8.el6_3.4.i686                                3/18 

  Verifying  : mysql-libs-5.1.66-2.el6_3.i686                              4/18 

  Verifying  : pango-1.28.1-7.el6_3.i686                                   5/18 

  Verifying  : 1:dmidecode-2.11-2.el6_1.i686                               6/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    7/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       8/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6_3.1.i686                           9/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6.i686                          10/18 

  Verifying  : mysql-libs-5.1.66-1.el6_3.i686                             11/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6.i686                              12/18 

  Verifying  : 1:dmidecode-2.11-2.el6.i686                                13/18 

  Verifying  : libxml2-python-2.7.6-8.el6_3.3.i686                        14/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       15/18 

  Verifying  : pango-1.28.1-3.el6_0.5.i686                                16/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6.i686                        17/18 

  Verifying  : libxml2-2.7.6-8.el6_3.3.i686                               18/18 

Updated:
  cyrus-sasl.i686 0:2.1.23-13.el6_3.1                                           
  cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1                                    
  cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1                                       
  cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1                                     
  dmidecode.i686 1:2.11-2.el6_1                                                 
  libxml2.i686 0:2.7.6-8.el6_3.4                                                
  libxml2-python.i686 0:2.7.6-8.el6_3.4                                         
  mysql-libs.i686 0:5.1.66-2.el6_3                                              
  pango.i686 0:1.28.1-7.el6_3                                                   

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 1
FAILED TESTS = ## Verify RPMs ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 4 mkovacik 2012-12-11 12:36:38 UTC
IMAGE ID= 
=====image_validation.sh Tue Dec 11 07:30:38 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-246-8-92.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-83ddfbc8 , Instance Type : m1.small and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : AmmdNvTwCoPFjpoHlT8j+R0wHtoDhuNBHSsuDN0TXlIn9U7WoH7GGFpZp1y1ko8YQRj++g/zJfOJ
OU+uewIDbO/ZXTkQDirAiYv/duiF3PSXUuBM9Y3Z79Z4sdiQMHsnl0xI387jCKJNx2c+iDvq7UuF
9gYmaqg1r+uDC4RPRoc=
/root/valid/src
ip-10-226-127-76
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: e1886162554c18906df2ecd258aa4794 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: d4d43637708e30418c30003e212f76fc 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert presence
######################################################################################
COMMAND:  test -f /etc/pki/entitlement/product/content-rhel6-beta.crt
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert expiration date is after 2010/11/10 + 10 years
######################################################################################
COMMAND:  test 1606761257 -ge 1604984400
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvde1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5905712
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-246-8-92.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-83ddfbc8 , Instance Type : m1.small and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : AmmdNvTwCoPFjpoHlT8j+R0wHtoDhuNBHSsuDN0TXlIn9U7WoH7GGFpZp1y1ko8YQRj++g/zJfOJ
OU+uewIDbO/ZXTkQDirAiYv/duiF3PSXUuBM9Y3Z79Z4sdiQMHsnl0xI387jCKJNx2c+iDvq7UuF
9gYmaqg1r+uDC4RPRoc=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0: 
EXPECTED RESULT: root:x:0:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:bin,daemon 
EXPECTED RESULT: daemon:x:2:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:bin,daemon 
EXPECTED RESULT: bin:x:1:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1711748 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_64 /tmp/rpmqa
RETURN CODE: 0
mcelog
COUNT = 1
COMMAND:  cat /tmp/package_diff | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/redhat-rhui-client-config.repo
RESULT: /etc/yum.repos.d/redhat-rhui-client-config.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat-rhui.repo
RESULT: /etc/yum.repos.d/redhat-rhui.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhui-load-balancers.conf
RESULT: /etc/yum.repos.d/rhui-load-balancers.conf 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvde1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-226-127-76
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin is disabled
######################################################################################
COMMAND:  yum repolist | grep -i subscription-manager ; echo $?
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin can be enabled
######################################################################################
COMMAND:  yum --enableplugin=subscription-manager repolist | grep -q 'Loaded plugins:.*subscription-manager'
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check system isn't subscribbed
######################################################################################
COMMAND:  subscription-manager list | grep -q '^Status:\s*Not.Subscribed'
stty: standard input: Invalid argument
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
parted -l | grep linux-swap | awk '{print $4}' | awk -F'MB' '{print $1}'
swap size = 940
COMMAND:  test 940 -gt 0
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
COMMAND:  /sbin/swapoff /dev/xvde3 && /sbin/swapon /dev/xvde3
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5

Comment 5 mkovacik 2012-12-11 12:36:42 UTC
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 8b91b32300134e98ef4aee632ed61e21 
EXPECTED RESULT: 8b91b32300134e98ef4aee632ed61e21
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-343.el6.i686
Detected uname kernel version: 2.6.32-343.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-343.el6.i686
RESULT: title RHEL6.4-20121126.0-Server-i386-starter-ec2 (2.6.32-343.el6.i686)
        kernel /boot/vmlinuz-2.6.32-343.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-343.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
.M.......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 5 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
5
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.4 
EXPECTED RESULT: 6.4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
repo id                                           repo name               status
rhui-eu-west-1-client-config-server-6             Red Hat Update Infrastr     1
rhui-eu-west-1-client-config-server-6-beta        Red Hat Update Infrastr     0
rhui-eu-west-1-rhel-server-releases               Red Hat Enterprise Linu 6,707
rhui-eu-west-1-rhel-server-releases-beta          Red Hat Enterprise Linu   830
rhui-eu-west-1-rhel-server-releases-optional      Red Hat Enterprise Linu 4,029
rhui-eu-west-1-rhel-server-releases-optional-beta Red Hat Enterprise Linu   295
repolist: 11,862 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
=============================== N/S Matched: zsh ===============================
python-twisted-core-zsh.i686 : Tab completion for Zsh and Twisted Core
zsh-html.i686 : Zsh shell manual in html format
zsh.i686 : A powerful interactive shell

  Name and summary matches only, use "search all" for everything. 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Installed Groups:
   Additional Development
   Base
   Console internet tools
   Debugging Tools
   Directory Client
   E-mail server
   Fonts
   Graphical Administration Tools
   Hardware monitoring utilities
   Java Platform
   Large Systems Performance
   Legacy UNIX compatibility
   NFS file server
   Network file system client
   Networking Tools
   Performance Tools
   Perl Support
   Scientific support
   Server Platform
Installed Language Groups:
   Arabic Support [ar]
   Armenian Support [hy]
   Georgian Support [ka]
   Hebrew Support [he]
   Inuktitut Support [iu]
   Japanese Support [ja]
   Korean Support [ko]
   Lao Support [lo]
   Tajik Support [tg]
Available Groups:
   Backup Client
   Backup Server
   CIFS file server
   Client management tools
   Compatibility libraries
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform
   Desktop Platform Development
   Development tools
   Dial-up Networking Support
   Directory Server
   Eclipse
   Emacs
   FCoE Storage Client
   FTP server
   General Purpose Desktop
   Graphics Creation Tools
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Applications
   Internet Browser
   KDE Desktop
   Legacy X Window System compatibility
   Mainframe Access
   Messaging Client Support
   MySQL Database client
   MySQL Database server
   Network Infrastructure Server
   Network Storage Server
   Office Suite and Productivity
   PHP Support
   PostgreSQL Database client
   PostgreSQL Database server
   Print Server
   Printing client
   Remote Desktop Clients
   Ruby Support
   SNMP Support
   Security Tools
   Server Platform Development
   Smart card support
   Somali Support
   Storage Availability Tools
   System Management
   System administration tools
   Systems Management Messaging Server support
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization
   Virtualization Client
   Virtualization Platform
   Virtualization Tools
   Web Server
   Web Servlet Engine
   Web-Based Enterprise Management
   X Window System
   iSCSI Storage Client
Available Language Groups:
   Afrikaans Support [af]
   Albanian Support [sq]
   Amazigh Support [ber]
   Assamese Support [as]
   Azerbaijani Support [az]
   Basque Support [eu]
   Belarusian Support [be]
   Bengali Support [bn]
   Bhutanese Support [dz]
   Brazilian Portuguese Support [pt_BR]
   Breton Support [br]
   Bulgarian Support [bg]
   Catalan Support [ca]
   Chhattisgarhi Support [hne]
   Chichewa Support [ny]
   Chinese Support [zh]
   Coptic Support [cop]
   Croatian Support [hr]
   Czech Support [cs]
   Danish Support [da]
   Dutch Support [nl]
   English (UK) Support [en_GB]
   Esperanto Support [eo]
   Estonian Support [et]
   Ethiopic Support [am]
   Faroese Support [fo]
   Fijian Support [fj]
   Filipino Support [fil]
   Finnish Support [fi]
   French Support [fr]
   Frisian Support [fy]
   Friulian Support [fur]
   Gaelic Support [gd]
   Galician Support [gl]
   German Support [de]
   Greek Support [el]
   Gujarati Support [gu]
   Hiligaynon Support [hil]
   Hindi Support [hi]
   Hungarian Support [hu]
   Icelandic Support [is]
   Indonesian Support [id]
   Interlingua Support [ia]
   Irish Support [ga]
   Italian Support [it]
   Kannada Support [kn]
   Kashmiri Support [ks]
   Kashubian Support [csb]
   Kazakh Support [kk]
   Khmer Support [km]
   Kinyarwanda Support [rw]
   Konkani Support [kok]
   Kurdish Support [ku]
   Latin Support [la]
   Latvian Support [lv]
   Lithuanian Support [lt]
   Low Saxon Support [nds]
   Luxembourgish Support [lb]
   Macedonian Support [mk]
   Maithili Support [mai]
   Malagasy Support [mg]
   Malay Support [ms]
   Malayalam Support [ml]
   Maltese Support [mt]
   Manx Support [gv]
   Maori Support [mi]
   Marathi Support [mr]
   Mongolian Support [mn]
   Myanmar (Burmese) Support [my]
   Nepali Support [ne]
   Northern Sotho Support [nso]
   Norwegian Support [nb]
   Occitan Support [oc]
   Oriya Support [or]
   Persian Support [fa]
   Polish Support [pl]
   Portuguese Support [pt]
   Punjabi Support [pa]
   Romanian Support [ro]
   Russian Support [ru]
   Sanskrit Support [sa]
   Sardinian Support [sc]
   Serbian Support [sr]
   Sindhi Support [sd]
   Sinhala Support [si]
   Slovak Support [sk]
   Slovenian Support [sl]
   Southern Ndebele Support [nr]
   Southern Sotho Support [st]
   Spanish Support [es]
   Swahili Support [sw]
   Swati Support [ss]
   Swedish Support [sv]
   Tagalog Support [tl]
   Tamil Support [ta]
   Telugu Support [te]
   Tetum Support [tet]
   Thai Support [th]
   Tibetan Support [bo]
   Tsonga Support [ts]
   Tswana Support [tn]
   Turkish Support [tr]
   Turkmen Support [tk]
   Ukrainian Support [uk]
   Upper Sorbian Support [hsb]
   Urdu Support [ur]
   Uzbek Support [uz]
   Venda Support [ve]
   Vietnamese Support [vi]
   Walloon Support [wa]
   Welsh Support [cy]
   Xhosa Support [xh]
   Zulu Support [zu]
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID f21541eb: NOKEY
Importing GPG key 0xF21541EB:
 Userid : Red Hat, Inc. (beta key 2) <security@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Importing GPG key 0x897DA07A:
 Userid : Red Hat, Inc. (Beta Test Software) <rawhide@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Package 1:make-3.81-20.el6.i686 already installed and latest version
Package patch-2.6-6.el6.i686 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.i686 already installed and latest version
Package gettext-0.17-16.el6.i686 already installed and latest version
Package binutils-2.20.51.0.2-5.36.el6.i686 already installed and latest version
Package elfutils-0.152-1.el6.i686 already installed and latest version
Package cvs-1.11.23-15.el6.i686 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
---> Package automake.noarch 0:1.11.1-1.2.el6 will be installed
---> Package bison.i686 0:2.4.1-5.el6 will be installed
---> Package byacc.i686 0:1.9.20070509-7.el6 will be installed
---> Package cscope.i686 0:15.6-6.el6 will be installed
---> Package ctags.i686 0:5.8-2.el6 will be installed
---> Package diffstat.i686 0:1.51-2.el6 will be installed
---> Package doxygen.i686 1:1.6.1-6.el6 will be installed
---> Package flex.i686 0:2.5.35-8.el6 will be installed
---> Package gcc.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: cpp = 4.4.7-3.el6 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-3.el6.i686
---> Package gcc-c++.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libstdc++-devel = 4.4.7-3.el6 for package: gcc-c++-4.4.7-3.el6.i686
--> Processing Dependency: libmpfr.so.1 for package: gcc-c++-4.4.7-3.el6.i686
---> Package gcc-gfortran.i686 0:4.4.7-3.el6 will be installed
---> Package git.i686 0:1.7.1-2.el6_0.1 will be installed
--> Processing Dependency: perl-Git = 1.7.1-2.el6_0.1 for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Git) for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Error) for package: git-1.7.1-2.el6_0.1.i686
---> Package indent.i686 0:2.2.10-7.el6 will be installed
---> Package intltool.noarch 0:0.41.0-1.1.el6 will be installed
--> Processing Dependency: gettext-devel for package: intltool-0.41.0-1.1.el6.noarch
---> Package libtool.i686 0:2.2.6-15.5.el6 will be installed
---> Package patchutils.i686 0:0.3.1-3.1.el6 will be installed
---> Package rcs.i686 0:5.7-37.el6 will be installed
---> Package redhat-rpm-config.noarch 0:9.0.3-42.el6 will be installed
---> Package rpm-build.i686 0:4.8.0-32.el6 will be installed
---> Package subversion.i686 0:1.6.11-7.el6 will be installed
--> Processing Dependency: apr >= 1.3.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libneon.so.27 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libaprutil-1.so.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libapr-1.so.0 for package: subversion-1.6.11-7.el6.i686
---> Package swig.i686 0:1.3.40-6.el6 will be installed
---> Package systemtap.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: systemtap-devel = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Processing Dependency: systemtap-client = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Running transaction check
---> Package apr.i686 0:1.3.9-5.el6_2 will be installed
---> Package apr-util.i686 0:1.3.9-3.el6_0.1 will be installed
---> Package cloog-ppl.i686 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2 for package: cloog-ppl-0.15.7-1.2.el6.i686
--> Processing Dependency: libppl.so.7 for package: cloog-ppl-0.15.7-1.2.el6.i686
---> Package cpp.i686 0:4.4.7-3.el6 will be installed
---> Package gettext-devel.i686 0:0.17-16.el6 will be installed
--> Processing Dependency: gettext-libs = 0.17-16.el6 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgettextpo.so.0 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgcj_bc.so.1 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libasprintf.so.0 for package: gettext-devel-0.17-16.el6.i686
---> Package glibc-devel.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: glibc-headers = 2.12-1.106.el6 for package: glibc-devel-2.12-1.106.el6.i686
--> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.106.el6.i686
---> Package libstdc++-devel.i686 0:4.4.7-3.el6 will be installed
---> Package mpfr.i686 0:2.4.1-6.el6 will be installed
---> Package neon.i686 0:0.29.3-2.el6 will be installed
--> Processing Dependency: libpakchois.so.0 for package: neon-0.29.3-2.el6.i686
---> Package perl-Error.noarch 1:0.17015-4.el6 will be installed
---> Package perl-Git.noarch 0:1.7.1-2.el6_0.1 will be installed
---> Package systemtap-client.i686 0:1.8-5.el6 will be installed
---> Package systemtap-devel.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: kernel-devel for package: systemtap-devel-1.8-5.el6.i686
--> Running transaction check
---> Package gettext-libs.i686 0:0.17-16.el6 will be installed
---> Package glibc-headers.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.106.el6.i686
--> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.106.el6.i686
---> Package kernel-devel.i686 0:2.6.32-343.el6 will be installed
---> Package libgcj.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libart_lgpl >= 2.1.0 for package: libgcj-4.4.7-3.el6.i686
---> Package pakchois.i686 0:0.4-3.2.el6 will be installed
---> Package ppl.i686 0:0.10.2-11.el6 will be installed
--> Running transaction check
---> Package kernel-headers.i686 0:2.6.32-343.el6 will be installed
---> Package libart_lgpl.i686 0:2.3.20-5.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package   Arch   Version        Repository                                Size
================================================================================
Installing:
 autoconf  noarch 2.63-5.1.el6   rhui-eu-west-1-rhel-server-releases      781 k
 automake  noarch 1.11.1-1.2.el6 rhui-eu-west-1-rhel-server-releases      550 k
 bison     i686   2.4.1-5.el6    rhui-eu-west-1-rhel-server-releases      626 k
 byacc     i686   1.9.20070509-7.el6
                                 rhui-eu-west-1-rhel-server-releases       44 k
 cscope    i686   15.6-6.el6     rhui-eu-west-1-rhel-server-releases      130 k

Comment 6 mkovacik 2012-12-11 12:36:46 UTC
 ctags     i686   5.8-2.el6      rhui-eu-west-1-rhel-server-releases      142 k
 diffstat  i686   1.51-2.el6     rhui-eu-west-1-rhel-server-releases       29 k
 doxygen   i686   1:1.6.1-6.el6  rhui-eu-west-1-rhel-server-releases      2.3 M
 flex      i686   2.5.35-8.el6   rhui-eu-west-1-rhel-server-releases      279 k
 gcc       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 8.2 M
 gcc-c++   i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.3 M
 gcc-gfortran
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.1 M
 git       i686   1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases      4.5 M
 indent    i686   2.2.10-7.el6   rhui-eu-west-1-rhel-server-releases      112 k
 intltool  noarch 0.41.0-1.1.el6 rhui-eu-west-1-rhel-server-releases       58 k
 libtool   i686   2.2.6-15.5.el6 rhui-eu-west-1-rhel-server-releases      564 k
 patchutils
           i686   0.3.1-3.1.el6  rhui-eu-west-1-rhel-server-releases       94 k
 rcs       i686   5.7-37.el6     rhui-eu-west-1-rhel-server-releases      169 k
 redhat-rpm-config
           noarch 9.0.3-42.el6   rhui-eu-west-1-rhel-server-releases-beta  59 k
 rpm-build i686   4.8.0-32.el6   rhui-eu-west-1-rhel-server-releases-beta 127 k
 subversion
           i686   1.6.11-7.el6   rhui-eu-west-1-rhel-server-releases      2.2 M
 swig      i686   1.3.40-6.el6   rhui-eu-west-1-rhel-server-releases      1.1 M
 systemtap i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta  26 k
Installing for dependencies:
 apr       i686   1.3.9-5.el6_2  rhui-eu-west-1-rhel-server-releases      129 k
 apr-util  i686   1.3.9-3.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       89 k
 cloog-ppl i686   0.15.7-1.2.el6 rhui-eu-west-1-rhel-server-releases       93 k
 cpp       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 3.4 M
 gettext-devel
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      153 k
 gettext-libs
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      110 k
 glibc-devel
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 974 k
 glibc-headers
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 612 k
 kernel-devel
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 8.1 M
 kernel-headers
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 2.3 M
 libart_lgpl
           i686   2.3.20-5.1.el6 rhui-eu-west-1-rhel-server-releases       63 k
 libgcj    i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta  17 M
 libstdc++-devel
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 1.6 M
 mpfr      i686   2.4.1-6.el6    rhui-eu-west-1-rhel-server-releases      153 k
 neon      i686   0.29.3-2.el6   rhui-eu-west-1-rhel-server-releases      120 k
 pakchois  i686   0.4-3.2.el6    rhui-eu-west-1-rhel-server-releases       21 k
 perl-Error
           noarch 1:0.17015-4.el6
                                 rhui-eu-west-1-rhel-server-releases       29 k
 perl-Git  noarch 1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       28 k
 ppl       i686   0.10.2-11.el6  rhui-eu-west-1-rhel-server-releases      1.3 M
 systemtap-client
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 3.2 M
 systemtap-devel
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 1.2 M

Transaction Summary
================================================================================
Install      44 Package(s)

Total download size: 71 M
Installed size: 201 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           4.9 MB/s |  71 MB     00:14     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing : mpfr-2.4.1-6.el6.i686                                       1/44 

  Installing : 1:perl-Error-0.17015-4.el6.noarch                           2/44 

  Installing : autoconf-2.63-5.1.el6.noarch                                3/44 

  Installing : automake-1.11.1-1.2.el6.noarch                              4/44 

  Installing : git-1.7.1-2.el6_0.1.i686                                    5/44 

  Installing : perl-Git-1.7.1-2.el6_0.1.noarch                             6/44 

  Installing : kernel-headers-2.6.32-343.el6.i686                          7/44 

  Installing : glibc-headers-2.12-1.106.el6.i686                           8/44 

  Installing : glibc-devel-2.12-1.106.el6.i686                             9/44 

  Installing : kernel-devel-2.6.32-343.el6.i686                           10/44 

  Installing : libstdc++-devel-4.4.7-3.el6.i686                           11/44 

  Installing : apr-1.3.9-5.el6_2.i686                                     12/44 

  Installing : apr-util-1.3.9-3.el6_0.1.i686                              13/44 

  Installing : cpp-4.4.7-3.el6.i686                                       14/44 

  Installing : ppl-0.10.2-11.el6.i686                                     15/44 

  Installing : cloog-ppl-0.15.7-1.2.el6.i686                              16/44 

  Installing : gcc-4.4.7-3.el6.i686                                       17/44 

  Installing : systemtap-devel-1.8-5.el6.i686                             18/44 

  Installing : pakchois-0.4-3.2.el6.i686                                  19/44 

  Installing : neon-0.29.3-2.el6.i686                                     20/44 

  Installing : systemtap-client-1.8-5.el6.i686                            21/44 

  Installing : libart_lgpl-2.3.20-5.1.el6.i686                            22/44 

  Installing : libgcj-4.4.7-3.el6.i686                                    23/44 

  Installing : gettext-libs-0.17-16.el6.i686                              24/44 

  Installing : systemtap-1.8-5.el6.i686                                   25/44 

  Installing : libtool-2.2.6-15.5.el6.i686                                26/44 

  Installing : redhat-rpm-config-9.0.3-42.el6.noarch                      27/44 

  Installing : gettext-devel-0.17-16.el6.i686                             28/44 

  Installing : intltool-0.41.0-1.1.el6.noarch                             29/44 

  Installing : subversion-1.6.11-7.el6.i686                               30/44 

  Installing : gcc-gfortran-4.4.7-3.el6.i686                              31/44 

  Installing : gcc-c++-4.4.7-3.el6.i686                                   32/44 

  Installing : rpm-build-4.8.0-32.el6.i686                                33/44 

  Installing : rcs-5.7-37.el6.i686                                        34/44 

  Installing : cscope-15.6-6.el6.i686                                     35/44 

  Installing : patchutils-0.3.1-3.1.el6.i686                              36/44 

  Installing : indent-2.2.10-7.el6.i686                                   37/44 

  Installing : bison-2.4.1-5.el6.i686                                     38/44 

  Installing : ctags-5.8-2.el6.i686                                       39/44 

  Installing : swig-1.3.40-6.el6.i686                                     40/44 

  Installing : 1:doxygen-1.6.1-6.el6.i686                                 41/44 

  Installing : diffstat-1.51-2.el6.i686                                   42/44 

  Installing : byacc-1.9.20070509-7.el6.i686                              43/44 

  Installing : flex-2.5.35-8.el6.i686                                     44/44 

  Verifying  : apr-util-1.3.9-3.el6_0.1.i686                               1/44 

  Verifying  : glibc-headers-2.12-1.106.el6.i686                           2/44 

  Verifying  : flex-2.5.35-8.el6.i686                                      3/44 

  Verifying  : byacc-1.9.20070509-7.el6.i686                               4/44 

  Verifying  : mpfr-2.4.1-6.el6.i686                                       5/44 

  Verifying  : diffstat-1.51-2.el6.i686                                    6/44 

  Verifying  : 1:doxygen-1.6.1-6.el6.i686                                  7/44 

  Verifying  : swig-1.3.40-6.el6.i686                                      8/44 

  Verifying  : subversion-1.6.11-7.el6.i686                                9/44 

  Verifying  : gcc-gfortran-4.4.7-3.el6.i686                              10/44 

  Verifying  : perl-Git-1.7.1-2.el6_0.1.noarch                            11/44 

  Verifying  : gettext-devel-0.17-16.el6.i686                             12/44 

  Verifying  : gettext-libs-0.17-16.el6.i686                              13/44 

  Verifying  : ctags-5.8-2.el6.i686                                       14/44 

  Verifying  : redhat-rpm-config-9.0.3-42.el6.noarch                      15/44 

  Verifying  : autoconf-2.63-5.1.el6.noarch                               16/44 

  Verifying  : gcc-4.4.7-3.el6.i686                                       17/44 

  Verifying  : libart_lgpl-2.3.20-5.1.el6.i686                            18/44 

  Verifying  : libstdc++-devel-4.4.7-3.el6.i686                           19/44 

  Verifying  : systemtap-client-1.8-5.el6.i686                            20/44 

  Verifying  : libgcj-4.4.7-3.el6.i686                                    21/44 

  Verifying  : kernel-devel-2.6.32-343.el6.i686                           22/44 

  Verifying  : 1:perl-Error-0.17015-4.el6.noarch                          23/44 

  Verifying  : bison-2.4.1-5.el6.i686                                     24/44 

  Verifying  : indent-2.2.10-7.el6.i686                                   25/44 

  Verifying  : cpp-4.4.7-3.el6.i686                                       26/44 

  Verifying  : patchutils-0.3.1-3.1.el6.i686                              27/44 

  Verifying  : git-1.7.1-2.el6_0.1.i686                                   28/44 

  Verifying  : pakchois-0.4-3.2.el6.i686                                  29/44 

  Verifying  : gcc-c++-4.4.7-3.el6.i686                                   30/44 

  Verifying  : automake-1.11.1-1.2.el6.noarch                             31/44 

  Verifying  : neon-0.29.3-2.el6.i686                                     32/44 

  Verifying  : kernel-headers-2.6.32-343.el6.i686                         33/44 

  Verifying  : apr-1.3.9-5.el6_2.i686                                     34/44 

  Verifying  : cloog-ppl-0.15.7-1.2.el6.i686                              35/44 

  Verifying  : systemtap-devel-1.8-5.el6.i686                             36/44 

  Verifying  : libtool-2.2.6-15.5.el6.i686                                37/44 

  Verifying  : intltool-0.41.0-1.1.el6.noarch                             38/44 

  Verifying  : cscope-15.6-6.el6.i686                                     39/44 

  Verifying  : rcs-5.7-37.el6.i686                                        40/44 

  Verifying  : glibc-devel-2.12-1.106.el6.i686                            41/44 

  Verifying  : systemtap-1.8-5.el6.i686                                   42/44 

  Verifying  : rpm-build-4.8.0-32.el6.i686                                43/44 

  Verifying  : ppl-0.10.2-11.el6.i686                                     44/44 

Installed:
  autoconf.noarch 0:2.63-5.1.el6             automake.noarch 0:1.11.1-1.2.el6   
  bison.i686 0:2.4.1-5.el6                   byacc.i686 0:1.9.20070509-7.el6    
  cscope.i686 0:15.6-6.el6                   ctags.i686 0:5.8-2.el6             
  diffstat.i686 0:1.51-2.el6                 doxygen.i686 1:1.6.1-6.el6         
  flex.i686 0:2.5.35-8.el6                   gcc.i686 0:4.4.7-3.el6             
  gcc-c++.i686 0:4.4.7-3.el6                 gcc-gfortran.i686 0:4.4.7-3.el6    
  git.i686 0:1.7.1-2.el6_0.1                 indent.i686 0:2.2.10-7.el6         
  intltool.noarch 0:0.41.0-1.1.el6           libtool.i686 0:2.2.6-15.5.el6      
  patchutils.i686 0:0.3.1-3.1.el6            rcs.i686 0:5.7-37.el6              
  redhat-rpm-config.noarch 0:9.0.3-42.el6    rpm-build.i686 0:4.8.0-32.el6      
  subversion.i686 0:1.6.11-7.el6             swig.i686 0:1.3.40-6.el6           
  systemtap.i686 0:1.8-5.el6                

Dependency Installed:
  apr.i686 0:1.3.9-5.el6_2              apr-util.i686 0:1.3.9-3.el6_0.1        
  cloog-ppl.i686 0:0.15.7-1.2.el6       cpp.i686 0:4.4.7-3.el6                 
  gettext-devel.i686 0:0.17-16.el6      gettext-libs.i686 0:0.17-16.el6        
  glibc-devel.i686 0:2.12-1.106.el6     glibc-headers.i686 0:2.12-1.106.el6    
  kernel-devel.i686 0:2.6.32-343.el6    kernel-headers.i686 0:2.6.32-343.el6   
  libart_lgpl.i686 0:2.3.20-5.1.el6     libgcj.i686 0:4.4.7-3.el6              
  libstdc++-devel.i686 0:4.4.7-3.el6    mpfr.i686 0:2.4.1-6.el6                
  neon.i686 0:0.29.3-2.el6              pakchois.i686 0:0.4-3.2.el6            
  perl-Error.noarch 1:0.17015-4.el6     perl-Git.noarch 0:1.7.1-2.el6_0.1      
  ppl.i686 0:0.10.2-11.el6              systemtap-client.i686 0:1.8-5.el6      
  systemtap-devel.i686 0:1.8-5.el6     

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cyrus-sasl.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package dmidecode.i686 1:2.11-2.el6 will be updated
---> Package dmidecode.i686 1:2.11-2.el6_1 will be an update
---> Package libxml2.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package mysql-libs.i686 0:5.1.66-1.el6_3 will be updated
---> Package mysql-libs.i686 0:5.1.66-2.el6_3 will be an update
---> Package pango.i686 0:1.28.1-3.el6_0.5 will be updated
---> Package pango.i686 0:1.28.1-7.el6_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch Version           Repository                           Size
================================================================================
Updating:
 cyrus-sasl    i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  77 k
 cyrus-sasl-gssapi
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  33 k
 cyrus-sasl-lib
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases 136 k
 cyrus-sasl-plain
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  31 k
 dmidecode     i686 1:2.11-2.el6_1    rhui-eu-west-1-rhel-server-releases  70 k
 libxml2       i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 800 k
 libxml2-python
               i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 314 k
 mysql-libs    i686 5.1.66-2.el6_3    rhui-eu-west-1-rhel-server-releases 1.2 M
 pango         i686 1.28.1-7.el6_3    rhui-eu-west-1-rhel-server-releases 350 k

Transaction Summary
================================================================================
Upgrade       9 Package(s)

Total download size: 3.0 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 MB/s | 3.0 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating   : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       1/18 

  Updating   : libxml2-2.7.6-8.el6_3.4.i686                                2/18 

  Updating   : libxml2-python-2.7.6-8.el6_3.4.i686                         3/18 

  Updating   : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     4/18 

  Updating   : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    5/18 

  Updating   : cyrus-sasl-2.1.23-13.el6_3.1.i686                           6/18 

  Updating   : 1:dmidecode-2.11-2.el6_1.i686                               7/18 

  Updating   : pango-1.28.1-7.el6_3.i686                                   8/18 

  Updating   : mysql-libs-5.1.66-2.el6_3.i686                              9/18 

  Cleanup    : cyrus-sasl-2.1.23-13.el6.i686                              10/18 

  Cleanup    : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       11/18 

  Cleanup    : cyrus-sasl-plain-2.1.23-13.el6.i686                        12/18 

  Cleanup    : libxml2-python-2.7.6-8.el6_3.3.i686                        13/18 

  Cleanup    : libxml2-2.7.6-8.el6_3.3.i686                               14/18 

  Cleanup    : cyrus-sasl-lib-2.1.23-13.el6.i686                          15/18 

  Cleanup    : 1:dmidecode-2.11-2.el6.i686                                16/18 

  Cleanup    : pango-1.28.1-3.el6_0.5.i686                                17/18 

  Cleanup    : mysql-libs-5.1.66-1.el6_3.i686                             18/18 
/var/tmp/rpm-tmp.xrpukm: line 26: /etc/pango/i386-redhat-linux-gnu/pango.modules: No such file or directory

  Verifying  : libxml2-python-2.7.6-8.el6_3.4.i686                         1/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     2/18 

  Verifying  : libxml2-2.7.6-8.el6_3.4.i686                                3/18 

  Verifying  : mysql-libs-5.1.66-2.el6_3.i686                              4/18 

  Verifying  : pango-1.28.1-7.el6_3.i686                                   5/18 

  Verifying  : 1:dmidecode-2.11-2.el6_1.i686                               6/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    7/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       8/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6_3.1.i686                           9/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6.i686                          10/18 

  Verifying  : mysql-libs-5.1.66-1.el6_3.i686                             11/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6.i686                              12/18 

  Verifying  : 1:dmidecode-2.11-2.el6.i686                                13/18 

  Verifying  : libxml2-python-2.7.6-8.el6_3.3.i686                        14/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       15/18 

  Verifying  : pango-1.28.1-3.el6_0.5.i686                                16/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6.i686                        17/18 

  Verifying  : libxml2-2.7.6-8.el6_3.3.i686                               18/18 

Updated:
  cyrus-sasl.i686 0:2.1.23-13.el6_3.1                                           
  cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1                                    
  cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1                                       
  cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1                                     
  dmidecode.i686 1:2.11-2.el6_1                                                 
  libxml2.i686 0:2.7.6-8.el6_3.4                                                
  libxml2-python.i686 0:2.7.6-8.el6_3.4                                         
  mysql-libs.i686 0:5.1.66-2.el6_3                                              
  pango.i686 0:1.28.1-7.el6_3                                                   

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 1
FAILED TESTS = ## Verify RPMs ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 7 mkovacik 2012-12-11 12:39:26 UTC
IMAGE ID= 
=====image_validation.sh Tue Dec 11 07:29:40 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-246-58-61.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-dfddfb94 , Instance Type : t1.micro and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : ccp4Q5QLAqy4zqA2o+0FxxMKqtV9ztNBL0lbn+oyYsP1PIY6nuD1VgrgkFAJXBqaHeSlq9pN1LxC
EXyVzJpTH2EF++WDG5J22szn7NN4rzKy0JgCdxr2/7FycKBjdrO3EUekh346OHiNAwB06nOaV9BO
pVIvqantvW5CsJEWELg=
/root/valid/src
ip-10-227-93-164
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: e1886162554c18906df2ecd258aa4794 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: d4d43637708e30418c30003e212f76fc 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert presence
######################################################################################
COMMAND:  test -f /etc/pki/entitlement/product/content-rhel6-beta.crt
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check content cert expiration date is after 2010/11/10 + 10 years
######################################################################################
COMMAND:  test 1606761257 -ge 1604984400
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvde1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5905712
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-246-58-61.eu-west-1.compute.amazonaws.com with Image Id : ami-c8c3cebc, is launched with Instance Id : i-dfddfb94 , Instance Type : t1.micro and Arch : i386 in the Region : eu-west-1b
The Validate Signature is : ccp4Q5QLAqy4zqA2o+0FxxMKqtV9ztNBL0lbn+oyYsP1PIY6nuD1VgrgkFAJXBqaHeSlq9pN1LxC
EXyVzJpTH2EF++WDG5J22szn7NN4rzKy0JgCdxr2/7FycKBjdrO3EUekh346OHiNAwB06nOaV9BO
pVIvqantvW5CsJEWELg=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0: 
EXPECTED RESULT: root:x:0:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:bin,daemon 
EXPECTED RESULT: daemon:x:2:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:bin,daemon 
EXPECTED RESULT: bin:x:1:bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 610236 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_64 /tmp/rpmqa
RETURN CODE: 0
mcelog
COUNT = 1
COMMAND:  cat /tmp/package_diff | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/redhat-rhui-client-config.repo
RESULT: /etc/yum.repos.d/redhat-rhui-client-config.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat-rhui.repo
RESULT: /etc/yum.repos.d/redhat-rhui.repo 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhui-load-balancers.conf
RESULT: /etc/yum.repos.d/rhui-load-balancers.conf 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvde1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-227-93-164
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.4
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin is disabled
######################################################################################
COMMAND:  yum repolist | grep -i subscription-manager ; echo $?
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check subscription-manager yum plugin can be enabled
######################################################################################
COMMAND:  yum --enableplugin=subscription-manager repolist | grep -q 'Loaded plugins:.*subscription-manager'
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## check system isn't subscribbed
######################################################################################
COMMAND:  subscription-manager list | grep -q '^Status:\s*Not.Subscribed'
stty: standard input: Invalid argument
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 8b91b32300134e98ef4aee632ed61e21 
EXPECTED RESULT: 8b91b32300134e98ef4aee632ed61e21
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true

Comment 8 mkovacik 2012-12-11 12:39:31 UTC
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-343.el6.i686
Detected uname kernel version: 2.6.32-343.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-343.el6.i686
RESULT: title RHEL6.4-20121126.0-Server-i386-starter-ec2 (2.6.32-343.el6.i686)
        kernel /boot/vmlinuz-2.6.32-343.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-343.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
.M.......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 5 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
5
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.4 
EXPECTED RESULT: 6.4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
repo id                                           repo name               status
rhui-eu-west-1-client-config-server-6             Red Hat Update Infrastr     1
rhui-eu-west-1-client-config-server-6-beta        Red Hat Update Infrastr     0
rhui-eu-west-1-rhel-server-releases               Red Hat Enterprise Linu 6,707
rhui-eu-west-1-rhel-server-releases-beta          Red Hat Enterprise Linu   830
rhui-eu-west-1-rhel-server-releases-optional      Red Hat Enterprise Linu 4,029
rhui-eu-west-1-rhel-server-releases-optional-beta Red Hat Enterprise Linu   295
repolist: 11,862 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
=============================== N/S Matched: zsh ===============================
python-twisted-core-zsh.i686 : Tab completion for Zsh and Twisted Core
zsh-html.i686 : Zsh shell manual in html format
zsh.i686 : A powerful interactive shell

  Name and summary matches only, use "search all" for everything. 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Installed Groups:
   Additional Development
   Base
   Console internet tools
   Debugging Tools
   Directory Client
   E-mail server
   Fonts
   Graphical Administration Tools
   Hardware monitoring utilities
   Java Platform
   Large Systems Performance
   Legacy UNIX compatibility
   NFS file server
   Network file system client
   Networking Tools
   Performance Tools
   Perl Support
   Scientific support
   Server Platform
Installed Language Groups:
   Arabic Support [ar]
   Armenian Support [hy]
   Georgian Support [ka]
   Hebrew Support [he]
   Inuktitut Support [iu]
   Japanese Support [ja]
   Korean Support [ko]
   Lao Support [lo]
   Tajik Support [tg]
Available Groups:
   Backup Client
   Backup Server
   CIFS file server
   Client management tools
   Compatibility libraries
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform
   Desktop Platform Development
   Development tools
   Dial-up Networking Support
   Directory Server
   Eclipse
   Emacs
   FCoE Storage Client
   FTP server
   General Purpose Desktop
   Graphics Creation Tools
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Applications
   Internet Browser
   KDE Desktop
   Legacy X Window System compatibility
   Mainframe Access
   Messaging Client Support
   MySQL Database client
   MySQL Database server
   Network Infrastructure Server
   Network Storage Server
   Office Suite and Productivity
   PHP Support
   PostgreSQL Database client
   PostgreSQL Database server
   Print Server
   Printing client
   Remote Desktop Clients
   Ruby Support
   SNMP Support
   Security Tools
   Server Platform Development
   Smart card support
   Somali Support
   Storage Availability Tools
   System Management
   System administration tools
   Systems Management Messaging Server support
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization
   Virtualization Client
   Virtualization Platform
   Virtualization Tools
   Web Server
   Web Servlet Engine
   Web-Based Enterprise Management
   X Window System
   iSCSI Storage Client
Available Language Groups:
   Afrikaans Support [af]
   Albanian Support [sq]
   Amazigh Support [ber]
   Assamese Support [as]
   Azerbaijani Support [az]
   Basque Support [eu]
   Belarusian Support [be]
   Bengali Support [bn]
   Bhutanese Support [dz]
   Brazilian Portuguese Support [pt_BR]
   Breton Support [br]
   Bulgarian Support [bg]
   Catalan Support [ca]
   Chhattisgarhi Support [hne]
   Chichewa Support [ny]
   Chinese Support [zh]
   Coptic Support [cop]
   Croatian Support [hr]
   Czech Support [cs]
   Danish Support [da]
   Dutch Support [nl]
   English (UK) Support [en_GB]
   Esperanto Support [eo]
   Estonian Support [et]
   Ethiopic Support [am]
   Faroese Support [fo]
   Fijian Support [fj]
   Filipino Support [fil]
   Finnish Support [fi]
   French Support [fr]
   Frisian Support [fy]
   Friulian Support [fur]
   Gaelic Support [gd]
   Galician Support [gl]
   German Support [de]
   Greek Support [el]
   Gujarati Support [gu]
   Hiligaynon Support [hil]
   Hindi Support [hi]
   Hungarian Support [hu]
   Icelandic Support [is]
   Indonesian Support [id]
   Interlingua Support [ia]
   Irish Support [ga]
   Italian Support [it]
   Kannada Support [kn]
   Kashmiri Support [ks]
   Kashubian Support [csb]
   Kazakh Support [kk]
   Khmer Support [km]
   Kinyarwanda Support [rw]
   Konkani Support [kok]
   Kurdish Support [ku]
   Latin Support [la]
   Latvian Support [lv]
   Lithuanian Support [lt]
   Low Saxon Support [nds]
   Luxembourgish Support [lb]
   Macedonian Support [mk]
   Maithili Support [mai]
   Malagasy Support [mg]
   Malay Support [ms]
   Malayalam Support [ml]
   Maltese Support [mt]
   Manx Support [gv]
   Maori Support [mi]
   Marathi Support [mr]
   Mongolian Support [mn]
   Myanmar (Burmese) Support [my]
   Nepali Support [ne]
   Northern Sotho Support [nso]
   Norwegian Support [nb]
   Occitan Support [oc]
   Oriya Support [or]
   Persian Support [fa]
   Polish Support [pl]
   Portuguese Support [pt]
   Punjabi Support [pa]
   Romanian Support [ro]
   Russian Support [ru]
   Sanskrit Support [sa]
   Sardinian Support [sc]
   Serbian Support [sr]
   Sindhi Support [sd]
   Sinhala Support [si]
   Slovak Support [sk]
   Slovenian Support [sl]
   Southern Ndebele Support [nr]
   Southern Sotho Support [st]
   Spanish Support [es]
   Swahili Support [sw]
   Swati Support [ss]
   Swedish Support [sv]
   Tagalog Support [tl]
   Tamil Support [ta]
   Telugu Support [te]
   Tetum Support [tet]
   Thai Support [th]
   Tibetan Support [bo]
   Tsonga Support [ts]
   Tswana Support [tn]
   Turkish Support [tr]
   Turkmen Support [tk]
   Ukrainian Support [uk]
   Upper Sorbian Support [hsb]
   Urdu Support [ur]
   Uzbek Support [uz]
   Venda Support [ve]
   Vietnamese Support [vi]
   Walloon Support [wa]
   Welsh Support [cy]
   Xhosa Support [xh]
   Zulu Support [zu]
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID f21541eb: NOKEY
Importing GPG key 0xF21541EB:
 Userid : Red Hat, Inc. (beta key 2) <security@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Importing GPG key 0x897DA07A:
 Userid : Red Hat, Inc. (Beta Test Software) <rawhide@redhat.com>
 Package: redhat-release-server-6Server-6.4.0.3.el6.i686 (@koji-override-0/$releasever)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Group Process
Package 1:make-3.81-20.el6.i686 already installed and latest version
Package patch-2.6-6.el6.i686 already installed and latest version
Package 1:pkgconfig-0.23-9.1.el6.i686 already installed and latest version
Package gettext-0.17-16.el6.i686 already installed and latest version
Package binutils-2.20.51.0.2-5.36.el6.i686 already installed and latest version
Package elfutils-0.152-1.el6.i686 already installed and latest version
Package cvs-1.11.23-15.el6.i686 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
---> Package automake.noarch 0:1.11.1-1.2.el6 will be installed
---> Package bison.i686 0:2.4.1-5.el6 will be installed
---> Package byacc.i686 0:1.9.20070509-7.el6 will be installed
---> Package cscope.i686 0:15.6-6.el6 will be installed
---> Package ctags.i686 0:5.8-2.el6 will be installed
---> Package diffstat.i686 0:1.51-2.el6 will be installed
---> Package doxygen.i686 1:1.6.1-6.el6 will be installed
---> Package flex.i686 0:2.5.35-8.el6 will be installed
---> Package gcc.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: cpp = 4.4.7-3.el6 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.4.7-3.el6.i686
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-3.el6.i686
---> Package gcc-c++.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libstdc++-devel = 4.4.7-3.el6 for package: gcc-c++-4.4.7-3.el6.i686
--> Processing Dependency: libmpfr.so.1 for package: gcc-c++-4.4.7-3.el6.i686
---> Package gcc-gfortran.i686 0:4.4.7-3.el6 will be installed
---> Package git.i686 0:1.7.1-2.el6_0.1 will be installed
--> Processing Dependency: perl-Git = 1.7.1-2.el6_0.1 for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Git) for package: git-1.7.1-2.el6_0.1.i686
--> Processing Dependency: perl(Error) for package: git-1.7.1-2.el6_0.1.i686
---> Package indent.i686 0:2.2.10-7.el6 will be installed
---> Package intltool.noarch 0:0.41.0-1.1.el6 will be installed
--> Processing Dependency: gettext-devel for package: intltool-0.41.0-1.1.el6.noarch
---> Package libtool.i686 0:2.2.6-15.5.el6 will be installed
---> Package patchutils.i686 0:0.3.1-3.1.el6 will be installed
---> Package rcs.i686 0:5.7-37.el6 will be installed
---> Package redhat-rpm-config.noarch 0:9.0.3-42.el6 will be installed
---> Package rpm-build.i686 0:4.8.0-32.el6 will be installed
---> Package subversion.i686 0:1.6.11-7.el6 will be installed
--> Processing Dependency: apr >= 1.3.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libneon.so.27 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libaprutil-1.so.0 for package: subversion-1.6.11-7.el6.i686
--> Processing Dependency: libapr-1.so.0 for package: subversion-1.6.11-7.el6.i686
---> Package swig.i686 0:1.3.40-6.el6 will be installed
---> Package systemtap.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: systemtap-devel = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Processing Dependency: systemtap-client = 1.8-5.el6 for package: systemtap-1.8-5.el6.i686
--> Running transaction check
---> Package apr.i686 0:1.3.9-5.el6_2 will be installed
---> Package apr-util.i686 0:1.3.9-3.el6_0.1 will be installed
---> Package cloog-ppl.i686 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2 for package: cloog-ppl-0.15.7-1.2.el6.i686
--> Processing Dependency: libppl.so.7 for package: cloog-ppl-0.15.7-1.2.el6.i686
---> Package cpp.i686 0:4.4.7-3.el6 will be installed
---> Package gettext-devel.i686 0:0.17-16.el6 will be installed
--> Processing Dependency: gettext-libs = 0.17-16.el6 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgettextpo.so.0 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libgcj_bc.so.1 for package: gettext-devel-0.17-16.el6.i686
--> Processing Dependency: libasprintf.so.0 for package: gettext-devel-0.17-16.el6.i686
---> Package glibc-devel.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: glibc-headers = 2.12-1.106.el6 for package: glibc-devel-2.12-1.106.el6.i686
--> Processing Dependency: glibc-headers for package: glibc-devel-2.12-1.106.el6.i686
---> Package libstdc++-devel.i686 0:4.4.7-3.el6 will be installed
---> Package mpfr.i686 0:2.4.1-6.el6 will be installed
---> Package neon.i686 0:0.29.3-2.el6 will be installed
--> Processing Dependency: libpakchois.so.0 for package: neon-0.29.3-2.el6.i686
---> Package perl-Error.noarch 1:0.17015-4.el6 will be installed
---> Package perl-Git.noarch 0:1.7.1-2.el6_0.1 will be installed
---> Package systemtap-client.i686 0:1.8-5.el6 will be installed
---> Package systemtap-devel.i686 0:1.8-5.el6 will be installed
--> Processing Dependency: kernel-devel for package: systemtap-devel-1.8-5.el6.i686
--> Running transaction check
---> Package gettext-libs.i686 0:0.17-16.el6 will be installed
---> Package glibc-headers.i686 0:2.12-1.106.el6 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.12-1.106.el6.i686
--> Processing Dependency: kernel-headers for package: glibc-headers-2.12-1.106.el6.i686
---> Package kernel-devel.i686 0:2.6.32-343.el6 will be installed
---> Package libgcj.i686 0:4.4.7-3.el6 will be installed
--> Processing Dependency: libart_lgpl >= 2.1.0 for package: libgcj-4.4.7-3.el6.i686
---> Package pakchois.i686 0:0.4-3.2.el6 will be installed
---> Package ppl.i686 0:0.10.2-11.el6 will be installed
--> Running transaction check
---> Package kernel-headers.i686 0:2.6.32-343.el6 will be installed
---> Package libart_lgpl.i686 0:2.3.20-5.1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package   Arch   Version        Repository                                Size
================================================================================
Installing:
 autoconf  noarch 2.63-5.1.el6   rhui-eu-west-1-rhel-server-releases      781 k
 automake  noarch 1.11.1-1.2.el6 rhui-eu-west-1-rhel-server-releases      550 k
 bison     i686   2.4.1-5.el6    rhui-eu-west-1-rhel-server-releases      626 k
 byacc     i686   1.9.20070509-7.el6
                                 rhui-eu-west-1-rhel-server-releases       44 k
 cscope    i686   15.6-6.el6     rhui-eu-west-1-rhel-server-releases      130 k
 ctags     i686   5.8-2.el6      rhui-eu-west-1-rhel-server-releases      142 k
 diffstat  i686   1.51-2.el6     rhui-eu-west-1-rhel-server-releases       29 k
 doxygen   i686   1:1.6.1-6.el6  rhui-eu-west-1-rhel-server-releases      2.3 M
 flex      i686   2.5.35-8.el6   rhui-eu-west-1-rhel-server-releases      279 k
 gcc       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 8.2 M
 gcc-c++   i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.3 M
 gcc-gfortran
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 4.1 M
 git       i686   1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases      4.5 M
 indent    i686   2.2.10-7.el6   rhui-eu-west-1-rhel-server-releases      112 k
 intltool  noarch 0.41.0-1.1.el6 rhui-eu-west-1-rhel-server-releases       58 k
 libtool   i686   2.2.6-15.5.el6 rhui-eu-west-1-rhel-server-releases      564 k
 patchutils
           i686   0.3.1-3.1.el6  rhui-eu-west-1-rhel-server-releases       94 k
 rcs       i686   5.7-37.el6     rhui-eu-west-1-rhel-server-releases      169 k
 redhat-rpm-config

Comment 9 mkovacik 2012-12-11 12:39:35 UTC
           noarch 9.0.3-42.el6   rhui-eu-west-1-rhel-server-releases-beta  59 k
 rpm-build i686   4.8.0-32.el6   rhui-eu-west-1-rhel-server-releases-beta 127 k
 subversion
           i686   1.6.11-7.el6   rhui-eu-west-1-rhel-server-releases      2.2 M
 swig      i686   1.3.40-6.el6   rhui-eu-west-1-rhel-server-releases      1.1 M
 systemtap i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta  26 k
Installing for dependencies:
 apr       i686   1.3.9-5.el6_2  rhui-eu-west-1-rhel-server-releases      129 k
 apr-util  i686   1.3.9-3.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       89 k
 cloog-ppl i686   0.15.7-1.2.el6 rhui-eu-west-1-rhel-server-releases       93 k
 cpp       i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 3.4 M
 gettext-devel
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      153 k
 gettext-libs
           i686   0.17-16.el6    rhui-eu-west-1-rhel-server-releases      110 k
 glibc-devel
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 974 k
 glibc-headers
           i686   2.12-1.106.el6 rhui-eu-west-1-rhel-server-releases-beta 612 k
 kernel-devel
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 8.1 M
 kernel-headers
           i686   2.6.32-343.el6 rhui-eu-west-1-rhel-server-releases-beta 2.3 M
 libart_lgpl
           i686   2.3.20-5.1.el6 rhui-eu-west-1-rhel-server-releases       63 k
 libgcj    i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta  17 M
 libstdc++-devel
           i686   4.4.7-3.el6    rhui-eu-west-1-rhel-server-releases-beta 1.6 M
 mpfr      i686   2.4.1-6.el6    rhui-eu-west-1-rhel-server-releases      153 k
 neon      i686   0.29.3-2.el6   rhui-eu-west-1-rhel-server-releases      120 k
 pakchois  i686   0.4-3.2.el6    rhui-eu-west-1-rhel-server-releases       21 k
 perl-Error
           noarch 1:0.17015-4.el6
                                 rhui-eu-west-1-rhel-server-releases       29 k
 perl-Git  noarch 1.7.1-2.el6_0.1
                                 rhui-eu-west-1-rhel-server-releases       28 k
 ppl       i686   0.10.2-11.el6  rhui-eu-west-1-rhel-server-releases      1.3 M
 systemtap-client
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 3.2 M
 systemtap-devel
           i686   1.8-5.el6      rhui-eu-west-1-rhel-server-releases-beta 1.2 M

Transaction Summary
================================================================================
Install      44 Package(s)

Total download size: 71 M
Installed size: 201 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.6 MB/s |  71 MB     00:44     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Installing : mpfr-2.4.1-6.el6.i686                                       1/44 

  Installing : 1:perl-Error-0.17015-4.el6.noarch                           2/44 

  Installing : autoconf-2.63-5.1.el6.noarch                                3/44 

  Installing : automake-1.11.1-1.2.el6.noarch                              4/44 

  Installing : git-1.7.1-2.el6_0.1.i686                                    5/44 

  Installing : perl-Git-1.7.1-2.el6_0.1.noarch                             6/44 

  Installing : kernel-headers-2.6.32-343.el6.i686                          7/44 

  Installing : glibc-headers-2.12-1.106.el6.i686                           8/44 

  Installing : glibc-devel-2.12-1.106.el6.i686                             9/44 

  Installing : kernel-devel-2.6.32-343.el6.i686                           10/44 

  Installing : libstdc++-devel-4.4.7-3.el6.i686                           11/44 

  Installing : apr-1.3.9-5.el6_2.i686                                     12/44 

  Installing : apr-util-1.3.9-3.el6_0.1.i686                              13/44 

  Installing : cpp-4.4.7-3.el6.i686                                       14/44 

  Installing : ppl-0.10.2-11.el6.i686                                     15/44 

  Installing : cloog-ppl-0.15.7-1.2.el6.i686                              16/44 

  Installing : gcc-4.4.7-3.el6.i686                                       17/44 

  Installing : systemtap-devel-1.8-5.el6.i686                             18/44 

  Installing : pakchois-0.4-3.2.el6.i686                                  19/44 

  Installing : neon-0.29.3-2.el6.i686                                     20/44 

  Installing : systemtap-client-1.8-5.el6.i686                            21/44 

  Installing : libart_lgpl-2.3.20-5.1.el6.i686                            22/44 

  Installing : libgcj-4.4.7-3.el6.i686                                    23/44 

  Installing : gettext-libs-0.17-16.el6.i686                              24/44 

  Installing : systemtap-1.8-5.el6.i686                                   25/44 

  Installing : libtool-2.2.6-15.5.el6.i686                                26/44 

  Installing : redhat-rpm-config-9.0.3-42.el6.noarch                      27/44 

  Installing : gettext-devel-0.17-16.el6.i686                             28/44 

  Installing : intltool-0.41.0-1.1.el6.noarch                             29/44 

  Installing : subversion-1.6.11-7.el6.i686                               30/44 

  Installing : gcc-gfortran-4.4.7-3.el6.i686                              31/44 

  Installing : gcc-c++-4.4.7-3.el6.i686                                   32/44 

  Installing : rpm-build-4.8.0-32.el6.i686                                33/44 

  Installing : rcs-5.7-37.el6.i686                                        34/44 

  Installing : cscope-15.6-6.el6.i686                                     35/44 

  Installing : patchutils-0.3.1-3.1.el6.i686                              36/44 

  Installing : indent-2.2.10-7.el6.i686                                   37/44 

  Installing : bison-2.4.1-5.el6.i686                                     38/44 

  Installing : ctags-5.8-2.el6.i686                                       39/44 

  Installing : swig-1.3.40-6.el6.i686                                     40/44 

  Installing : 1:doxygen-1.6.1-6.el6.i686                                 41/44 

  Installing : diffstat-1.51-2.el6.i686                                   42/44 

  Installing : byacc-1.9.20070509-7.el6.i686                              43/44 

  Installing : flex-2.5.35-8.el6.i686                                     44/44 

  Verifying  : apr-util-1.3.9-3.el6_0.1.i686                               1/44 

  Verifying  : glibc-headers-2.12-1.106.el6.i686                           2/44 

  Verifying  : flex-2.5.35-8.el6.i686                                      3/44 

  Verifying  : byacc-1.9.20070509-7.el6.i686                               4/44 

  Verifying  : mpfr-2.4.1-6.el6.i686                                       5/44 

  Verifying  : diffstat-1.51-2.el6.i686                                    6/44 

  Verifying  : 1:doxygen-1.6.1-6.el6.i686                                  7/44 

  Verifying  : swig-1.3.40-6.el6.i686                                      8/44 

  Verifying  : subversion-1.6.11-7.el6.i686                                9/44 

  Verifying  : gcc-gfortran-4.4.7-3.el6.i686                              10/44 

  Verifying  : perl-Git-1.7.1-2.el6_0.1.noarch                            11/44 

  Verifying  : gettext-devel-0.17-16.el6.i686                             12/44 

  Verifying  : gettext-libs-0.17-16.el6.i686                              13/44 

  Verifying  : ctags-5.8-2.el6.i686                                       14/44 

  Verifying  : redhat-rpm-config-9.0.3-42.el6.noarch                      15/44 

  Verifying  : autoconf-2.63-5.1.el6.noarch                               16/44 

  Verifying  : gcc-4.4.7-3.el6.i686                                       17/44 

  Verifying  : libart_lgpl-2.3.20-5.1.el6.i686                            18/44 

  Verifying  : libstdc++-devel-4.4.7-3.el6.i686                           19/44 

  Verifying  : systemtap-client-1.8-5.el6.i686                            20/44 

  Verifying  : libgcj-4.4.7-3.el6.i686                                    21/44 

  Verifying  : kernel-devel-2.6.32-343.el6.i686                           22/44 

  Verifying  : 1:perl-Error-0.17015-4.el6.noarch                          23/44 

  Verifying  : bison-2.4.1-5.el6.i686                                     24/44 

  Verifying  : indent-2.2.10-7.el6.i686                                   25/44 

  Verifying  : cpp-4.4.7-3.el6.i686                                       26/44 

  Verifying  : patchutils-0.3.1-3.1.el6.i686                              27/44 

  Verifying  : git-1.7.1-2.el6_0.1.i686                                   28/44 

  Verifying  : pakchois-0.4-3.2.el6.i686                                  29/44 

  Verifying  : gcc-c++-4.4.7-3.el6.i686                                   30/44 

  Verifying  : automake-1.11.1-1.2.el6.noarch                             31/44 

  Verifying  : neon-0.29.3-2.el6.i686                                     32/44 

  Verifying  : kernel-headers-2.6.32-343.el6.i686                         33/44 

  Verifying  : apr-1.3.9-5.el6_2.i686                                     34/44 

  Verifying  : cloog-ppl-0.15.7-1.2.el6.i686                              35/44 

  Verifying  : systemtap-devel-1.8-5.el6.i686                             36/44 

  Verifying  : libtool-2.2.6-15.5.el6.i686                                37/44 

  Verifying  : intltool-0.41.0-1.1.el6.noarch                             38/44 

  Verifying  : cscope-15.6-6.el6.i686                                     39/44 

  Verifying  : rcs-5.7-37.el6.i686                                        40/44 

  Verifying  : glibc-devel-2.12-1.106.el6.i686                            41/44 

  Verifying  : systemtap-1.8-5.el6.i686                                   42/44 

  Verifying  : rpm-build-4.8.0-32.el6.i686                                43/44 

  Verifying  : ppl-0.10.2-11.el6.i686                                     44/44 

Installed:
  autoconf.noarch 0:2.63-5.1.el6             automake.noarch 0:1.11.1-1.2.el6   
  bison.i686 0:2.4.1-5.el6                   byacc.i686 0:1.9.20070509-7.el6    
  cscope.i686 0:15.6-6.el6                   ctags.i686 0:5.8-2.el6             
  diffstat.i686 0:1.51-2.el6                 doxygen.i686 1:1.6.1-6.el6         
  flex.i686 0:2.5.35-8.el6                   gcc.i686 0:4.4.7-3.el6             
  gcc-c++.i686 0:4.4.7-3.el6                 gcc-gfortran.i686 0:4.4.7-3.el6    
  git.i686 0:1.7.1-2.el6_0.1                 indent.i686 0:2.2.10-7.el6         
  intltool.noarch 0:0.41.0-1.1.el6           libtool.i686 0:2.2.6-15.5.el6      
  patchutils.i686 0:0.3.1-3.1.el6            rcs.i686 0:5.7-37.el6              
  redhat-rpm-config.noarch 0:9.0.3-42.el6    rpm-build.i686 0:4.8.0-32.el6      
  subversion.i686 0:1.6.11-7.el6             swig.i686 0:1.3.40-6.el6           
  systemtap.i686 0:1.8-5.el6                

Dependency Installed:
  apr.i686 0:1.3.9-5.el6_2              apr-util.i686 0:1.3.9-3.el6_0.1        
  cloog-ppl.i686 0:0.15.7-1.2.el6       cpp.i686 0:4.4.7-3.el6                 
  gettext-devel.i686 0:0.17-16.el6      gettext-libs.i686 0:0.17-16.el6        
  glibc-devel.i686 0:2.12-1.106.el6     glibc-headers.i686 0:2.12-1.106.el6    
  kernel-devel.i686 0:2.6.32-343.el6    kernel-headers.i686 0:2.6.32-343.el6   
  libart_lgpl.i686 0:2.3.20-5.1.el6     libgcj.i686 0:4.4.7-3.el6              
  libstdc++-devel.i686 0:4.4.7-3.el6    mpfr.i686 0:2.4.1-6.el6                
  neon.i686 0:0.29.3-2.el6              pakchois.i686 0:0.4-3.2.el6            
  perl-Error.noarch 1:0.17015-4.el6     perl-Git.noarch 0:1.7.1-2.el6_0.1      
  ppl.i686 0:0.10.2-11.el6              systemtap-client.i686 0:1.8-5.el6      
  systemtap-devel.i686 0:1.8-5.el6     

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cyrus-sasl.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6 will be updated
---> Package cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1 will be an update
---> Package dmidecode.i686 1:2.11-2.el6 will be updated
---> Package dmidecode.i686 1:2.11-2.el6_1 will be an update
---> Package libxml2.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.3 will be updated
---> Package libxml2-python.i686 0:2.7.6-8.el6_3.4 will be an update
---> Package mysql-libs.i686 0:5.1.66-1.el6_3 will be updated
---> Package mysql-libs.i686 0:5.1.66-2.el6_3 will be an update
---> Package pango.i686 0:1.28.1-3.el6_0.5 will be updated
---> Package pango.i686 0:1.28.1-7.el6_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch Version           Repository                           Size
================================================================================
Updating:
 cyrus-sasl    i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  77 k
 cyrus-sasl-gssapi
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  33 k
 cyrus-sasl-lib
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases 136 k
 cyrus-sasl-plain
               i686 2.1.23-13.el6_3.1 rhui-eu-west-1-rhel-server-releases  31 k
 dmidecode     i686 1:2.11-2.el6_1    rhui-eu-west-1-rhel-server-releases  70 k
 libxml2       i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 800 k
 libxml2-python
               i686 2.7.6-8.el6_3.4   rhui-eu-west-1-rhel-server-releases 314 k
 mysql-libs    i686 5.1.66-2.el6_3    rhui-eu-west-1-rhel-server-releases 1.2 M
 pango         i686 1.28.1-7.el6_3    rhui-eu-west-1-rhel-server-releases 350 k

Transaction Summary
================================================================================
Upgrade       9 Package(s)

Total download size: 3.0 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 MB/s | 3.0 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating   : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       1/18 

  Updating   : libxml2-2.7.6-8.el6_3.4.i686                                2/18 

  Updating   : libxml2-python-2.7.6-8.el6_3.4.i686                         3/18 

  Updating   : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     4/18 

  Updating   : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    5/18 

  Updating   : cyrus-sasl-2.1.23-13.el6_3.1.i686                           6/18 

  Updating   : 1:dmidecode-2.11-2.el6_1.i686                               7/18 

  Updating   : pango-1.28.1-7.el6_3.i686                                   8/18 

  Updating   : mysql-libs-5.1.66-2.el6_3.i686                              9/18 

  Cleanup    : cyrus-sasl-2.1.23-13.el6.i686                              10/18 

  Cleanup    : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       11/18 

  Cleanup    : cyrus-sasl-plain-2.1.23-13.el6.i686                        12/18 

  Cleanup    : libxml2-python-2.7.6-8.el6_3.3.i686                        13/18 

  Cleanup    : libxml2-2.7.6-8.el6_3.3.i686                               14/18 

  Cleanup    : cyrus-sasl-lib-2.1.23-13.el6.i686                          15/18 

  Cleanup    : 1:dmidecode-2.11-2.el6.i686                                16/18 

  Cleanup    : pango-1.28.1-3.el6_0.5.i686                                17/18 

  Cleanup    : mysql-libs-5.1.66-1.el6_3.i686                             18/18 
/var/tmp/rpm-tmp.KJDamT: line 26: /etc/pango/i386-redhat-linux-gnu/pango.modules: No such file or directory

  Verifying  : libxml2-python-2.7.6-8.el6_3.4.i686                         1/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6_3.1.i686                     2/18 

  Verifying  : libxml2-2.7.6-8.el6_3.4.i686                                3/18 

  Verifying  : mysql-libs-5.1.66-2.el6_3.i686                              4/18 

  Verifying  : pango-1.28.1-7.el6_3.i686                                   5/18 

  Verifying  : 1:dmidecode-2.11-2.el6_1.i686                               6/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6_3.1.i686                    7/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6_3.1.i686                       8/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6_3.1.i686                           9/18 

  Verifying  : cyrus-sasl-lib-2.1.23-13.el6.i686                          10/18 

  Verifying  : mysql-libs-5.1.66-1.el6_3.i686                             11/18 

  Verifying  : cyrus-sasl-2.1.23-13.el6.i686                              12/18 

  Verifying  : 1:dmidecode-2.11-2.el6.i686                                13/18 

  Verifying  : libxml2-python-2.7.6-8.el6_3.3.i686                        14/18 

  Verifying  : cyrus-sasl-gssapi-2.1.23-13.el6.i686                       15/18 

  Verifying  : pango-1.28.1-3.el6_0.5.i686                                16/18 

  Verifying  : cyrus-sasl-plain-2.1.23-13.el6.i686                        17/18 

  Verifying  : libxml2-2.7.6-8.el6_3.3.i686                               18/18 

Updated:
  cyrus-sasl.i686 0:2.1.23-13.el6_3.1                                           
  cyrus-sasl-gssapi.i686 0:2.1.23-13.el6_3.1                                    
  cyrus-sasl-lib.i686 0:2.1.23-13.el6_3.1                                       
  cyrus-sasl-plain.i686 0:2.1.23-13.el6_3.1                                     
  dmidecode.i686 1:2.11-2.el6_1                                                 
  libxml2.i686 0:2.7.6-8.el6_3.4                                                
  libxml2-python.i686 0:2.7.6-8.el6_3.4                                         
  mysql-libs.i686 0:5.1.66-2.el6_3                                              
  pango.i686 0:1.28.1-7.el6_3                                                   

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Warning: RPMDB altered outside of yum.
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, product-id, rhui-lb, security
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, product-id, rhui-lb, security
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 1
FAILED TESTS = ## Verify RPMs ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################


Note You need to log in before you can comment on or make changes to this bug.